using System;
using Server;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.Misc;
using System.Collections.Generic;
using Server.Mobiles;
using Server.ContextMenus;

namespace Server.Mobiles
{
	[CorpseName( "a WoolyBanta corpse" )]
	public class WoolyBanta : BaseCreature
	{
		[Constructable]
		public WoolyBanta() : base( AIType.AI_Animal, FightMode.Aggressor, 10, 1, 0.2, 0.4 )
		{
			Name = "a wooly banta";
			Body = 264;
			BaseSoundID = 0x508;

			SetStr( 176, 200 );
			SetDex( 26, 45 );
			SetInt( 23, 47 );

			SetHits( 146, 160 );
			SetMana( 0 );

			SetDamage( 8, 16 );

			SetSkill( SkillName.Tactics, 40.1, 60.0 );
			SetSkill( SkillName.HandToHand, 40.1, 60.0 );

			Fame = 1000;
			Karma = 0;

			VirtualArmor = 28;
		}

		public override int Meat{ get{ return 18; } }
		public override int Hides{ get{ return 24; } }

		public WoolyBanta( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}